/// class PD.Manage.Modules.EntityTypesToolbar
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.EntityTypesToolbar =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-types:entity-type/create-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-types:entity-type/edit-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-types:entity-type/open"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-types:entity-type/delete"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-types:entity-type/configure-search-groups"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-types:entity-type/expression-assignment"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-types:entity-type/relationships-dialog"
        }));

    }

});